# Building application container
FROM max06net/base-gui:0.1.0-buster-slim

ENV APP=tinyMediaManager
ENV ALLOW_DIRECT_VNC=true

ARG LIBZEN=https://mediaarea.net/download/binary/libzen0/0.4.39/libzen0v5_0.4.39-1_amd64.Debian_10.deb
ARG LIBMEDIAINFO=https://mediaarea.net/download/binary/libmediainfo0/21.03/libmediainfo0v5_21.03-1_amd64.Debian_10.deb

# Install tmm & requirements
ADD tinyMediaManager /app
RUN \
    apt-get update && \
    apt-get install --no-install-recommends -y \
        wget \
        ca-certificates \
        libcurl3-gnutls \
        libmms0 \
        ffmpeg \
        yad \
        fonts-wqy-zenhei && \
    wget -q ${LIBZEN} && \
    wget -q ${LIBMEDIAINFO} && \
    dpkg -i *.deb && \
    mkdir -p /data/data && \
    # Remove some unneeded stuff.
    rm *.deb && \
    rm -rf /var/lib/apt/lists/* 

ADD launcher-extra.yml /app/
ADD tmm.prop /data/data/

LABEL Name="tinyMediaManager test build" Version="v4"

WORKDIR /app
CMD ["/app/tinyMediaManager"]
